org.apache.maven.plugin.descriptor

## Class Requirement

- java.lang.Object
- - org.apache.maven.plugin.descriptor.Requirement

-     public class Requirement
      extends java.lang.Object

  Describes a component requirement.
  Version:
    $Id: Requirement.java 640549 2008-03-24 20:05:11Z bentmann $
  Author:
    Brett Porter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Requirement(java.lang.String role)`
    `Requirement(java.lang.String role, java.lang.String roleHint)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getRole()`
    `java.lang.String` | `getRoleHint()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Requirement

          public Requirement(java.lang.String role)

    - #### Requirement

          public Requirement(java.lang.String role,
                     java.lang.String roleHint)

  - ### Method Detail

    - #### getRole

          public java.lang.String getRole()

    - #### getRoleHint

          public java.lang.String getRoleHint()